Subject: Re: bug#38079: On Windows tramp hangs after server-start is called

From: Michael Albinus <[email-masked]>
Date: Fri, 08 Nov 2019 08:51:42 +0100

Eli Zaretskii <[email-masked]> writes:

>> But I don't understand the underlying difficulty to ensure
>> system-name never changes.
>
> There are two system calls that return this information on Windows,
> and they treat the letter-case differently.  The second system call
> needs the winsock layer to be initialized, and we don't want to do
> that at startup because it causes various problems (sorry, I no longer
> remember the details of that part).  So we only call the network-aware
> system call after some network connection is available.

Shouldn't we document this in etc/PROBLEMS? I can't write this, because
I don't know too much about Emacs on MS Windows.

Best regards, Michael.